<bugID>947250<Summary>[UX] Create a downloads subview</Summary><Description>Currently if the downloads button is in the main toolbar and you click it, it shows you a panel of recent downloads. If you customize the button into the Firefox (Australis) menu, I expected the list of recent downloads to end up in the submenu (the same place the help items and the history items end up). But instead it just opens the download manager.

Can recent download please be in the submenu?</Description></bugID>